/*****************************************************************************/
/*
/* Common
/*
/*****************************************************************************/

/* Global Reset */
* {
  margin: 0;
  padding: 0;
}

@font-face {
  font-family: OpenSans;
  font-weight: normal;
  src: url('/website/fonts/OpenSans-Regular.ttf');
}

@font-face {
  font-family: OpenSans;
  font-weight: bold;
  src: url('/website/fonts/OpenSans-Bold.ttf');
}

@font-face {
  font-family: OpenSans;
  font-weight: 300;
  src: url('/website/fonts/OpenSans-Light.ttf');
}

html, body { height: 100%; min-width: 1280px;}

body {
  background-color: #eee;
  min-width: 870px;
  font: 13.34px Helvetica, Arial, sans-serif;
  font-size: small;
  text-align: center;
  font-family: OpenSans;
}


h1, h2, h3, h4, h5, h6 {
  font-size: 100%; }

h1 { margin-bottom: 1em; }
p { margin: 1em 0; }

a         { color: #00a; }
a:hover   { color: #000; }
a:visited { color: #a0a; }

/*****************************************************************************/
/*
/* Home
/*
/*****************************************************************************/
.posts {
  list-style-type: none;
  margin-bottom: 2em;
}

.posts li {
  line-height: 1.75em;
}

.posts span {
  color: #aaa;
  font-family: Monaco, "Courier New", monospace;
  font-size: 80%;
}

/*****************************************************************************/
/*
/* Site
/*
/*****************************************************************************/

.site {
  font-size: 115%;
  text-align: justify;
  width: 42em;
  margin: 3em auto 2em;
  line-height: 1.5em;
}

.header a {
  font-weight: bold;
  text-decoration: none;
}

.title {
  display: inline-block;
  margin-bottom: 2em;
}

.title a {
  color: #a00;
}

.title a:hover {
  color: #000;
}

.header a.extra {
  color: #aaa;
  margin-left: 1em;
}

.header a.extra:hover {
  color: #000;
}

.meta {
  color: #aaa;
}

.footer {
  font-size: 80%;
  color: #666;
  border-top: 4px solid #eee;
  margin-top: 2em;
  overflow: hidden;
}

.footer .contact {
  float: left;
  margin-right: 3em;
}

.footer .contact a {
  color: #8085C1;
}

.footer .rss {
  margin-top: 1.1em;
  margin-right: -.2em;
  float: right;
}

.footer .rss img {
  border: 0;
}

.horizontal-padding {
  margin-left: 50px;
  margin-right: 50px;
}

/*****************************************************************************/
/*
/* Posts
/*
/*****************************************************************************/

/* standard */
.post pre {
  border: 1px solid #ddd;
  background-color: #eef;
  padding: 0 .4em;
}

.post ul, .post ol {
  margin-left: 1.35em;
}

.post code {
  border: 1px solid #ddd;
  background-color: #eef;
  padding: 0 .2em;
}

.post pre code {
  border: none;
}

/* terminal */
.post pre.terminal {
  border: 1px solid #000;
  background-color: #333;
  color: #FFF;
}

.post pre.terminal code {
  background-color: #333;
}

.absolute-center {
  margin: auto;
  position: absolute;
  top: 0; left: 0; bottom: 0; right: 0;
}

.below {
  z-index: -1;
}

.vert-center {
  vert-align: center;
  line-height: 100%;
}

.large-hex {
  color: #34495e;
}

#main-logo {
  max-width: 500px;
}